My Oracle Support Banner

T7-1, T7-2, T7-4 How to update To Hardware Programmables 1.0.9 or higher and System FirmWare 9.7.4 (Doc ID 2262308.1)

Last updated on FEBRUARY 26, 2021

Applies to:

SPARC T7-4 - Version All Versions to All Versions [Release All Releases]
SPARC T7-1 - Version All Versions to All Versions [Release All Releases]
SPARC T7-2 - Version All Versions to All Versions [Release All Releases]
Information in this document applies to any platform.

Goal

 PROBLEM OVERVIEW: How to update System FPGA firmware and system firmware 9.7.4 or higher

Note: sysFW 9.7.4 is the minimum sysFW that works with this Hardware Programmables patch but isn't the latest sysFW for the T7 systems.

Please check MOS updates and patches for the latest firmware releast for the T7 systems.

 

This release of Hardware Programmables updates certain versions of MB FPGAs and CPU FPGAs to better handle POK events

Please see patch README for more details

 

 

 

Notes :

  • The Hardware Programmables update procedure is the same for T7-1, T7-2, T7-4 servers
  • System firmware 9.7.4 or higher is required for the FPGA updates to be active.  It is required to follow the order of the procedure in this document which does system firmware then FPGA programmables
  • Since pulling of AC power cords is required, physical access to the system is required
  • Loading of the FPGA firmware via the BUI/GUI is not supported. Use of the SP serial port connection is recommended so that the prompting of when to power cycle the system can be seen as well as unforeseen problems.
  • If an attempt is made to install the Hardware_Programmables-1.0.9-SPARC_T7-1+T7-2+T7-4.pkg file on a system where the installation is not required, the installation will not update. Upon restarting of the Service Processor, the Service Processor event logs will provide additional information.

 

Caution : do not interrupt power to the system while the upgrade is in progress

 FPGA package is  on MOS via:

Patch 25209863: FIRMWARE: SPARC T7-1+T7-2+T7-4 -SYSTEMS HW PROGRAMMABLES 1.0.9 (To be use with ILOM 3.x & lower version only)

Patch 26964013: FIRMWARE: SPARC T7-1+T7-2+T7-4 -SYSTEMS HW PROGRAMMABLES 1.0.9.A (to be use with ILOM 4.x & lower version only)

NOTE: There are newer releases than 1.0.9 for the T7 platforms, each platform has a specific release now, please look on MOS for the latest HW Programmables 1.0.x for your system. The update procedure is the same.

Solution

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Goal
Solution
References

My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.